# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gooddata/bricks/version'

Gem::Specification.new do |spec|
  spec.name          = "gooddata-bricks"
  spec.version       = GoodData::Bricks::VERSION
  spec.authors       = ["Tomas Svarovsky"]
  spec.email         = ["svarovsky@gooddata.com"]

  spec.summary       = "Simple library that simplifies development of GoodData Bricks"
  spec.description   = "Provides some utils, simple framework and wraps some commond functionality."
  spec.homepage      = "https://github.com/gooddata/gooddata-bricks"
  spec.license       = "BSD"

  # # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # # delete this section to allow pushing this gem to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13", '>= 1.13.6'
  spec.add_development_dependency "rake", "~> 11.1", '>= 11.1.1'
  spec.add_development_dependency "rspec", '~> 3.5', '>= 3.5.0'
  spec.add_development_dependency 'rubocop', '~> 0.45', '>= 0.45.0'

  spec.add_dependency 'aws-sdk', '~> 1.45'
  spec.add_dependency 'restforce', '~> 2.1', '>= 2.1.1'
  spec.add_dependency 'salesforce_bulk_query', '~> 0.2', '>= 0.2.0'
  spec.add_dependency 'gooddata'
  spec.add_dependency 'gooddata_datawarehouse'
  spec.add_dependency 'multi_json', '~> 1.11', '>= 1.11.2'
end
